package com.ruoyi.approvalFlow.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审批流配置明细对象 audit_paths_acts
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public class AuditPathsActs extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 承包单位id
     */
    @Excel(name = "承包单位id")
    private Long branchId;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long actId;

    /**
     * 审核条件(O是正常审批,I非正常审批)
     */
    @Excel(name = "审核条件(O是正常审批,I非正常审批)")
    private String reviewConditions;

    /**
     * 审核路径Id
     */
    @Excel(name = "审核路径Id")
    private Long pathId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBranchId(Long branchId) {
        this.branchId = branchId;
    }

    public Long getBranchId() {
        return branchId;
    }

    public void setActId(Long actId) {
        this.actId = actId;
    }

    public Long getActId() {
        return actId;
    }

    public void setReviewConditions(String reviewConditions) {
        this.reviewConditions = reviewConditions;
    }

    public String getReviewConditions() {
        return reviewConditions;
    }

    public void setPathId(Long pathId) {
        this.pathId = pathId;
    }

    public Long getPathId() {
        return pathId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("branchId", getBranchId())
                .append("actId", getActId())
                .append("reviewConditions", getReviewConditions())
                .append("pathId", getPathId())
                .toString();
    }
}
